stages:
  - build
  - test

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  GIT_DEPTH: "1"
  GIT_STRATEGY: clone
  CHECKER_IMAGE: iustem/ftchecker-deanonymb:latest

check-build:
  image: $CHECKER_IMAGE
  services:
    - docker:19.03.1-dind
  stage: build
  script:
    - touch bot.config || true
    - docker-compose build

check-bot:
  image: $CHECKER_IMAGE
  stage: test
  services:
    - docker:19.03.1-dind
  script:
    - /checker/start.sh
